peepers(6)

NAME
peepers - floating eyeballs.

SYNOPSIS
peepers [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--count number] [--mode bounce | scroll | random] [--wireframe] [--fps]

DESCRIPTION
Eyeballs. They float. They bounce. They stare at your cursor.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--count number
    Number of eyes. 0 means random.

--mode bounce
    The eyeballs bounce onto the screen from the bottom. Like a cow.

--mode scroll
    The eyeballs scroll in from the left and right.

--mode xeyes
    The eyeballs remain stationary, but always turn to stare at the mouse pointer, wherever it happens to be on the screen. Perhaps best used in conjunction with --count 2.

--mode beholder
    Render a ball made of eyeballs, all looking at you. Valid --count values are 20, 80, 320 or 1280.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.